Merge attributes from selected features tool not working with postgis layers

2014-10-14 07:46 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19688

Description

Merge attributes from selected features is not work properly while using postgis layers (works ok with shapefiles).

Trying to merge attributes from existing features, the dialog will not show any row to choose attributes from (see screenshot). On the other

hand, if only new features (not yet commited to the database) are selected they will show and the tool seems to work well.

I think this might be related with #11405

Related issues:

Related to QGIS Application - Bug report # 11405: "merge selected features" b... Closed 2014-10-14

History

#1 - 2014-10-15 08:03 AM - Jürgen Fischer

- Status changed from Open to Feedback

also fixed with commit:d1e23a60 ?

#2 - 2014-10-15 05:59 PM - Alexandre Neto

- Status changed from Feedback to Closed

The current master version works as expected.

Also seems to have fixed #11405

Thanks!
